Skip to main content
Skill

List Skills

Paginated list of skills

GET
/api/v1/agentstudio/skills
cURL
curl --request GET \
  --url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/skills' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "data": [
    {
      "id": "skill_xxx",
      "type": "skill",
      "name": "pdf3.0",
      "description": "Use this skill whenever the user wants to do anything with PDF files...",
      "source": "customer",
      "status": "active",
      "latest_version": "1.1",
      "created_at": "2026-06-16T07:56:03+00:00",
      "updated_at": "2026-06-16T08:12:47+00:00"
    }
  ],
  "next_page": "skill_xxx",
  "request_id": "xxx"
}

Authorizations

string
header
required

DashScope API Key

Query Parameters

integer
default20

每页数量,最大 100

x <= 100
string

首次不传,后续传上一次响应的 next_page

enum<string>
default"customer"

来源筛选:customer(自建)或 official(百炼官方)

customer,official

Response

200-application/json
object[]
string

下一页游标,传入下次请求的 page 参数

string

本次请求的唯一标识

Overview
Sandbox API
Memory API
Flow Agent API
RAG API
Connector API
Framework Integration
Assistant API (Deprecating)
  • Overview